Bug 78962 - USB serial driver doesn't support DCD correcty
USB serial driver doesn't support DCD correcty
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Depends On:
Blocks: 78984
  Show dependency treegraph
Reported: 2002-12-03 18:28 EST by MIchael Kolmodin
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MIchael Kolmodin 2002-12-03 18:28:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021016

Description of problem:
The driver for serial ports attached to the USB port (PL2303/usbserial) does not
support the complete port interface. From a practical point of view: 
- setserial commands does not work at all
- If external equipment drops DSR and/or DCD no signals are sent to 
  process which has the port open.
- If  a process opens the port, there is no (?) way to keep DTR high
  when the port is closed (i.e. when a chat script is complete and 
  the control is transferred to pppd) Note: DTR *is* raised when
  the port is opened, so there is some hope...
- It is unclear whether RTS/CTS flow control works which makes it
  necessary to use xon/xoff, which is a Bad Thing.

Version-Release number of selected component (if applicable):
kernel version 2.4.18-17.7.x

How reproducible:

Steps to Reproduce/Actual Results/Expected Results:
Well, what could I say :-)

Additional info: Hardware:Dell Latitude LS, Aten UC 232A This is a typical 
laptop problem, larger machines have "normal" serial ports.
Comment 1 MIchael Kolmodin 2002-12-05 06:15:49 EST
Digging around this, the picture gets more complicated. However, one thing is
sure: kermit never "sees" the CD (carrier detect) signal; it refuses to connect
saying there is no carrier even if it's there. And if it can't detect the CD, of
course the driver can't signal if the carrier drops. I think kermit is a pretty 
good way to exercise the stty interface

Changing summary to reflect this. New status:
 -  I'm still uncertain about the DTR handling; however, using stty it seems
    to do the Right Thing. 
 -  I havn't really tested the RTS/CTS handling, cant really say there is a 
    bug, just this feeling.  RTS is asserted correctly, though.
 -  DCD is definitely a bug.
 -  Setserial is really a separate issue, I'll file a new bug for this 
Comment 2 Pete Zaitcev 2004-01-19 23:44:49 EST
This is pretty much a Wontfix material, I'm sorry to say.
The usbserial is a mess, and pl2303 is worse.
One side note is that DTR is not supposed to stay up across close
(if the last process was gone), not even with clocal.
Otherwise, how are you going to reset modems?
The rest is a bunch of plain bugs. Currently, USB adapters
are useful to connect Palm organizers only.
Comment 3 Bugzilla owner 2004-09-30 11:40:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.